# Contributing Guidelines

Thank you for considering contributing to this project! To keep the process smooth, please follow these guidelines.

## Before You Start

- **Discuss first**: Please open an issue to propose your idea before starting any implementation.
- **Branching**: All merge requests should be made to the `develop` branch.  

## Pull Request Process

1. Make sure your changes are well-documented and follow the [Google style guide](https://google.github.io/styleguide/pyguide.html#38-comments-and-docstrings).  
2. Ensure your code is tested and introduces breaking changes only if previously agreed upon.
3. As this is currently a single-developer project, all pull requests will be reviewed by the maintainer.  

## Code of Conduct

We follow the [Contributor Covenant](https://www.contributor-covenant.org/). Please be respectful and maintain a welcoming environment.
